import { select, csv, scaleLinear, max, scaleBand } from 'd3'; //imports select and arc module from d3
const svg = select('svg');
const height = +svg.attr('height'); //+ remakes the height of svg from string into a float 
const width = +svg.attr('width');

const render = data => {
    const xValue = d => d.Population;
    const yValue = d => d.Country;
    
    const xScale = scaleLinear()
    .domain([0, max(data, xValue)])//domain = data space (data range) to range = screen space (pixels)
    .range([0, width]); //pixels or viewed space

    const yScale = scaleBand()
        .domain(data.map(yValue))
        .range([0, height])

    svg.selectAll('rect').data(data) //data join by passing the data array
        .enter().append('rect')
            .attr('y', d => yScale(yValue(d)))
            .attr('width', d => xScale(xValue(d))) //scales the width depending on the population
            .attr('height', yScale.bandwidth()); //bandwidth = computed width of a single bar
    
};
csv('data.csv').then(data => {
    data.forEach(d => {
    d.Population = +d.Population * 1000; //turns population from strings to float
    console.log(d.Population);
    });
    render(data)
    console.log(data);
  	
});





